Bug 244196 - devel/statik: unbreak on arm, update to 0.1.6
Summary: devel/statik: unbreak on arm, update to 0.1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: buildisok
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-17 17:54 UTC by Mikael Urankar
Modified: 2020-02-24 19:43 UTC (History)
2 users (show)

See Also:
cheffo: maintainer-feedback+


Attachments
patch (1.04 KB, patch)
2020-02-17 17:54 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-17 17:54:18 UTC
Created attachment 211724 [details]
patch

it builds fine on these archs.
Comment 1 Automation User 2020-02-17 18:09:58 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/118639166
Comment 2 Emmanuel Vadot freebsd_committer 2020-02-21 11:53:14 UTC
Approved-by: manu (mentor)
Comment 3 commit-hook freebsd_committer 2020-02-24 17:14:31 UTC
A commit references this bug:

Author: mikael
Date: Mon Feb 24 17:13:35 UTC 2020
New revision: 527002
URL: https://svnweb.freebsd.org/changeset/ports/527002

Log:
  devel/statik: unbreak on armv7 and aarch64

  It builds fine on these archs.
  While here, reorder ONLY_FOR_ARCHS

  PR:	244196
  Approved by:	cheffo@freebsd-bg.org (maintainer), manu (mentor)

Changes:
  head/devel/statik/Makefile
Comment 4 Mikael Urankar freebsd_committer 2020-02-24 19:43:53 UTC
Forgot to add in the commit message:
update to 0.1.6